################ Build options #######################################

NAME		:= ustl
MAJOR		:= 1
MINOR		:= 6

DEBUG		:= 1
BUILD_SHARED	:= 0
BUILD_STATIC	:= 1
NOLIBSTDCPP	:= 1

################ Programs ############################################

CXX		:= nspire-g++
LD		:= nspire-ld-bflt
AR		:= arm-none-eabi-ar
RANLIB		:= arm-none-eabi-ranlib
DOXYGEN		:= doxygen
INSTALL		:= install

INSTALLDATA	:= ${INSTALL} -D -p -m 644
INSTALLLIB	:= ${INSTALLDATA}

################ Destination #########################################

prefix		:= /c/Users/parisse/.ndless
exec_prefix	:= /c/Users/parisse/.ndless
BINDIR		:= /c/Users/parisse/.ndless/bin
INCDIR		:= /c/Users/parisse/.ndless/include
LIBDIR		:= /c/Users/parisse/.ndless/lib

################ Compiler options ####################################

WARNOPTS	:= -Wall -Wextra -Woverloaded-virtual -Wpointer-arith\
		-Wshadow -Wredundant-decls -Wcast-qual
TGTOPTS		:= -fno-exceptions
INLINEOPTS	:= -fvisibility-inlines-hidden -fno-threadsafe-statics -fno-enforce-eh-specs

CXXFLAGS	:= ${WARNOPTS} ${TGTOPTS}
LDFLAGS		:= --cpp --debug
LIBS		:=
ifdef DEBUG
    CXXFLAGS	+= -O0 -g
else
    CXXFLAGS	+= -Os -g0 -DNDEBUG=1 -fomit-frame-pointer ${INLINEOPTS}
    LDFLAGS	+= -s -Wl,-gc-sections -static-libgcc
endif
ifdef NOLIBSTDCPP
    LD		:= nspire-ld-bflt
    STAL_LIBS	:= -lsupc++
    LIBS	:= ${STAL_LIBS}
endif
O		:= .o/

slib_lnk	= lib$1.so
slib_son	= lib$1.so.${MAJOR}
slib_tgt	= lib$1.so.${MAJOR}.${MINOR}
slib_flags	= -shared -Wl,-soname=$1
